PhoneNumberUtil.Leniency
Date: 2011-05-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.i18n.phonenumbers
Enum PhoneNumberUtil.Leniency

    java.lang.Object
      java.lang.Enum<PhoneNumberUtil.Leniency>
          com.google.i18n.phonenumbers.PhoneNumberUtil.Leniency

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PhoneNumberUtil.Leniency>

Enclosing class:
  PhoneNumberUtil

    public static enum PhoneNumberUtil.Leniency

extends java.lang.Enum<PhoneNumberUtil.Leniency>

Leniency when finding potential phone numbers in text segments.

Enum Constant Summary
`POSSIBLE` Phone numbers accepted are possible, but not necessarily valid.
`VALID` Phone numbers accepted are possible and valid.

Method Summary
`static PhoneNumberUtil.Leniency` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PhoneNumberUtil.Leniency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POSSIBLE

    public static final PhoneNumberUtil.Leniency POSSIBLE

  Phone numbers accepted are possible, but not necessarily valid.

### VALID

    public static final PhoneNumberUtil.Leniency VALID

  Phone numbers accepted are possible and valid.

Method Detail

### values

    public static PhoneNumberUtil.Leniency[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PhoneNumberUtil.Leniency c : PhoneNumberUtil.Leniency.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PhoneNumberUtil.Leniency valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD